Mercury API
OnTransport Method (tx, data, timeout)
Namespaces ► ThingMagic ► Reader ► OnTransport(Boolean, array<Byte>[]()[], Int32)
Fire Transport message event
Declaration Syntax

C# | Visual Basic | Visual C++

    protected void OnTransport(
    	bool tx,
    	byte[] data,
    	int timeout
    )

    Protected Sub OnTransport ( _
    	tx As Boolean, _
    	data As Byte(), _
    	timeout As Integer _
    )

    protected:
    void OnTransport(
    	bool tx,
    	array<unsigned char>^ data,
    	int timeout
    )

Parameters

tx (Boolean)
  Message direction: True=host to reader, False=reader to host

data (array< Byte >[]()[])
  Message contents, including framing and checksum bytes

timeout (Int32)
  Transport timeout setting (milliseconds) when message was sent or received

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)